Bug 739807 - add support for msgctxt in PO files
Summary: add support for msgctxt in PO files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Persistence
Version: 1.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: James Ni
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Depends On:
Blocks: zanata-1.5.0
TreeView+ depends on / blocked
 
Reported: 2011-09-20 05:33 UTC by Ding-Yi Chen
Modified: 2012-03-07 02:03 UTC (History)
3 users (show)

Fixed In Version: 1.3.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-07 02:03:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 750675 unspecified CLOSED maven client pull command should be able to reconstruct msgctxt and msgid 2020-10-14 00:28:05 UTC

Internal Links: 750675

Description Ding-Yi Chen 2011-09-20 05:33:11 UTC
Description of problem:
For software translation, the msgctxt in po files will be wiped out when pulling from zanata server.

Version-Release number of selected component (if applicable):
Server: Zanata version 1.3 (20110509-2113)
Client: zanata python client 1.3.0

How reproducible:
Always

Steps to Reproduce:
ibus-chewing has msgctxt
1. git clone git://github.com/definite/ibus-chewing.git
2. cd ibus-chewing; cmake .; make
3. Assume that ~/.config/zanata.ini contain correct server and user information
4. Assume zanata contains the project ibus-chewing and correct version.
5. zanata push --srcdir=po --transdir=po --push-trans --project-type=gettext
6. zanata pull --srcdir=po --transdir=po --push-trans
7. git diff
  
Actual results:
git diff shows that msgctxt lines are removed.

Expected results:
msgctxt lines are preserved.

Additional info:

Comment 1 Sean Flanigan 2011-10-25 07:37:23 UTC
We need store msgctxt in the database, as a column in the HTextFlow table.  This will require an extension to the REST API, and changes to the Maven and Python clients' handling of the TextFlow's resId field.

Comment 2 James Ni 2011-11-07 07:50:49 UTC
Please take a reference for rhbz#750675, the maven client and python client have already support for msgctxt now.

Comment 3 James Ni 2011-11-10 13:20:45 UTC
The zanata-python-client 1.3.2 have pushed to update-testing, please check out the new version to test the msgctxt function.

Comment 4 Ding-Yi Chen 2012-02-21 05:58:47 UTC
VERIFIED with 1.3.3-25-g7cff

Comment 5 James Ni 2012-03-07 02:03:16 UTC
This bug fix is already include in version 1.3.3


Note You need to log in before you can comment on or make changes to this bug.